<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.qiaoba.module.tenant.mapper.SysTenantMapper">
    <select id="checkCompanyNameIsExist" resultType="string">
        SELECT company_name FROM sys_tenant where company_name = #{companyName}
        <if test="tenantId != null and tenantId != ''">and tenant_id != #{tenantId}</if>
    </select>
</mapper>
